2
0

test_gns_mx_lookup.sh 1.0 KB

123456789101112131415161718192021222324252627282930313233343536
  1. #!/bin/bash
  2. trap "gnunet-arm -e -c test_gns_lookup.conf" SIGINT
  3. LOCATION=$(which gnunet-config)
  4. if [ -z $LOCATION ]
  5. then
  6. LOCATION="gnunet-config"
  7. fi
  8. $LOCATION --version 1> /dev/null
  9. if test $? != 0
  10. then
  11. echo "GNUnet command line tools cannot be found, check environmental variables PATH and GNUNET_PREFIX"
  12. exit 77
  13. fi
  14. rm -rf /tmp/test-gnunet-gns-peer-1/
  15. which timeout &> /dev/null && DO_TIMEOUT="timeout 5"
  16. TEST_MX="5,mail.gnu"
  17. gnunet-arm -s -c test_gns_lookup.conf
  18. gnunet-identity -C testego -c test_gns_lookup.conf
  19. gnunet-namestore -p -z testego -a -n www -t MX -V "$TEST_MX" -e never -c test_gns_lookup.conf
  20. RES_MX=`$DO_TIMEOUT gnunet-gns --raw -z testego -u www.gnu -t MX -c test_gns_lookup.conf`
  21. gnunet-namestore -z testego -d -n www -t MX -V "$TEST_MX" -e never -c test_gns_lookup.conf
  22. gnunet-identity -D testego -c test_gns_lookup.conf
  23. gnunet-arm -e -c test_gns_lookup.conf
  24. rm -rf /tmp/test-gnunet-gns-peer-1/
  25. if [ "$RES_MX" == "$TEST_MX" ]
  26. then
  27. exit 0
  28. else
  29. echo "FAIL: did not get proper IP, got $RES_MX."
  30. exit 1
  31. fi